Instalando SciPy en Ubuntu

Tengo Python 2.7 ejecutando e intentando instalar scipy usando easy_install que devuelve los siguientes errores:

Searching for scipy Reading http://pypi.python.org/simple/scipy/ Reading http://www.scipy.org Reading http://sourceforge.net/project/showfiles.php?group_id=27747&package_id=19531 Reading http://new.scipy.org/Wiki/Download Best match: scipy 0.11.0 Downloading http://pypi.python.org/packages/source/s/scipy/scipy-0.11.0.zip#md5=40b700ddde9ddab643b640fff7a9d753 Processing scipy-0.11.0.zip Running scipy-0.11.0/setup.py -q bdist_egg --dist-dir /tmp/easy_install-49BQSz/scipy-0.11.0/egg-dist-tmp-KMjwKy Running from scipy source directory. /usr/lib64/python2.7/site-packages/numpy/distutils/system_info.py:1425: UserWarning: Atlas (http://math-atlas.sourceforge.net/) libraries not found. Directories to search for the libraries can be specified in the numpy/distutils/site.cfg file (section [atlas]) or by setting the ATLAS environment variable. warnings.warn(AtlasNotFoundError.__doc__) /usr/lib64/python2.7/site-packages/numpy/distutils/system_info.py:1434: UserWarning: Blas (http://www.netlib.org/blas/) libraries not found. Directories to search for the libraries can be specified in the numpy/distutils/site.cfg file (section [blas]) or by setting the BLAS environment variable. warnings.warn(BlasNotFoundError.__doc__) /usr/lib64/python2.7/site-packages/numpy/distutils/system_info.py:1437: UserWarning: Blas (http://www.netlib.org/blas/) sources not found. Directories to search for the sources can be specified in the numpy/distutils/site.cfg file (section [blas_src]) or by setting the BLAS_SRC environment variable. warnings.warn(BlasSrcNotFoundError.__doc__) error: Blas (http://www.netlib.org/blas/) libraries not found. Directories to search for the libraries can be specified in the numpy/distutils/site.cfg file (section [blas]) or by setting the BLAS environment variable. 

Así que instalé Blas y Atalas ejecutando

 apt-get install blas apt-get install atlas 

Sin embargo, los errores de instalación fácil no desaparecen.

¡Gracias!

Ubuntu coloca los archivos de la biblioteca en un directorio bastante exótico. /usr/lib/x86_64-linux-gnu/ o algo, dependiendo de su architecture. Debe agregar este directorio al archivo site.cfg o a la variable de entorno BLAS.

Si la instalación fácil también necesita los archivos de encabezado, debe instalar los respectivos paquetes -dev.

Pero, como sugiere @ pitsanu-swangpheaw, también puede instalar en el directorio de paquetes del sitio usando el administrador de paquetes de ubuntu.

 sudo apt-get install python-numpy python-scipy 

Lo que funcionó para mí:

Para instalar realmente scipy desde PIP, necesita los paquetes libatlas-base-dev (bibliotecas, etc. para ATLAS / BLAS) y gfortran (comstackdor GNU Fortran).

Una vez que estos paquetes están instalados, el instalador scipy debe terminar como se espera.

Si está usando Python3, puede instalar paquetes usando apt-get

 sudo apt-get install python3-numpy python3-scipy 

sudo apt-get install python-scipy funcionó en mi caso.

Si aún desea instalar usando pip , puede usar build-dep para obtener las dependencias de python-numpy y python-scipy, y luego instalar usando pip

 sudo apt-get build-dep python-numpy python-scipy 

Sustituye python3 ya que el estado de otras respuestas es lo que estás buscando.

Resolví el problema ejecutando (similar a las sugerencias anteriores)

 apt-get install scipy 

Resuelvo este problema con la ejecución:

 sudo pip install scipy